#include <bits/stdc++.h>
using namespace std;
int k, a[1000000];
int ktra(int x)
{
	if(x==0)
		return -1;
	else if(a[x]==k)
		return x;
	else ktra(x-1);
}
int main()
{
	ifstream fi("TKNP.INP");
	ofstream fo("TKNP.OUT");
	int n;
	fi>>n>>k;
	for(int i=1; i<=n; i++)
	{
		fi>>a[i];
	}
	fo<<ktra(n);
}
